---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: redis
  namespace: documentations
  labels:
    app: redis
spec:
  replicas: 1
  selector:
    matchLabels:
      app: redis
  template:
    metadata:
      labels:
        app: redis
    spec:
      containers:
        - name: redis
          image: cr.yandex/crp3ccidau046kdj8g9q/redis:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 6379
              protocol: TCP
      imagePullSecrets:
        - name: regcred
